ConfigurationList Supported Currencies

List Supported Currencies

curl -X GET "https://sandbox-api.aparatech.io/v1/public/config/supported-currencies?direction=deposit&userType=individual&limit=5&page=1" \
  -H "Content-Type: application/json" \
  -H "MID: example_string"
{
  "status": "success",
  "data": [
    {
      "currency": "ARS",
      "logoUrl": "https://common-fiat-logos.s3.ap-southeast-1.amazonaws.com/ars.svg",
      "decimalPrecision": 2
    }
  ],
  "pagination": {
    "total": 21,
    "pages": 11,
    "currentPage": 1,
    "limit": 2,
    "hasNext": true,
    "hasPrev": false
  }
}
GET
/v1/public/config/supported-currencies
GET
Base URLstring

Target server for requests. Edit to use your own host.

query
directionstring

Transaction direction — deposit or withdraw.

Options: deposit, withdraw
query
userTypestring

Type of user — individual or business.

Options: individual, business
query
limitinteger

Number of results per page.

query
pageinteger

Page number for pagination.

header
MIDstring
Required

Merchant ID for authentication.

Request Preview
Response

Response will appear here after sending the request

Query Parameters

directionstring

Transaction direction — deposit or withdraw.

Allowed values:depositwithdraw
userTypestring

Type of user — individual or business.

Allowed values:individualbusiness
limitinteger

Number of results per page.

pageinteger

Page number for pagination.

Headers

MIDstring
Required

Merchant ID for authentication.

Responses

statusstring
dataarray
paginationobject